/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for GynecologicalHistory
 */
public enum EnumCV_GynecologicalHistory 
{
	//TID 9001 Gynecological History
	GYNECOLOGICAL_HISTORY_R_20767("R-20767"),
	ROLE_OF_PERSON_REPORTING_111534("111534"),
	DATE_OF_LAST_MENSTRUAL_PERIOD_11955_2("11955-2"),
	AGE_WHEN_FIRST_MENSTRUAL_PERIOD_OCCURRED_111518("111518"),
	AGE_AT_FIRST_FULL_TERM_PREGNANCY_111519("111519"),
	PARA_11977_6("11977-6"),
	TERM_11639_2("11639-2"),
	PRETERM_11637_6("11637-6"),
	LIVE_BIRTHS_11636_8("11636-8"),
	LBW_OR_IUGR_11636_8("11636-8"),
	GRAVIDA_11996_6("11996-6"),
	ABORTA_11612_9("11612-9"),
	ECTOPIC_PREGNANCIES_33065_4("33065-4"),
	AGE_AT_MENOPAUSE_111520("111520"),
	AGE_WHEN_HYSTERECTOMY_PERFORMED_111521("111521"),
	EXTENT_R_404ED("R-404ED"),
	AGE_WHEN_LEFT_OVARY_REMOVED_111522("111522"),
	AGE_WHEN_RIGHT_OVARY_REMOVED_111523("111523"),
	BREAST_FEEDING_HISTORY_111543("111543"),
	AVERAGE_BREAST_FEEDING_PERIOD_111544("111544"),
	PREGNANCY_STATUS_111532("111532"),
	MENSTRUAL_CYCLE_PHASE_111391("111391"),
	LBW_OR_IUGR_111593("111593"),
	PREGNANCY_OBSERVABLE_364320009("364320009");

	private String value;
	
	EnumCV_GynecologicalHistory(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
